%define major 0
%define libname %mklibname oauth %major
%define develname %mklibname -d oauth

Name:           liboauth
Version:        1.0.3
Release:        %mkrel 1
Summary:        OAuth library functions
Group:          System/Libraries
License:        MIT
URL:            http://liboauth.sourceforge.net/
Source0:        http://downloads.sourceforge.net/liboauth/liboauth-%{version}.tar.xz
BuildRequires:  curl-devel 
BuildRequires:  nss-devel

%description
liboauth is a collection of POSIX-c functions implementing the OAuth
Core RFC 5849 standard. liboauth provides functions to escape and
encode parameters according to OAuth specification and offers
high-level functionality to sign requests or verify OAuth signatures
as well as perform HTTP requests.

#--------------------------------------------------------------------

%package        -n %libname
Summary:        OAuth library functions
Group:          System/Libraries

%description    -n %libname
liboauth is a collection of POSIX-c functions implementing the OAuth
Core RFC 5849 standard. liboauth provides functions to escape and
encode parameters according to OAuth specification and offers
high-level functionality to sign requests or verify OAuth signatures
as well as perform HTTP requests.

%files -n %libname
%{_libdir}/liboauth.so.%{major}*

#--------------------------------------------------------------------

%package        -n %develname
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %name-devel  = %{version}-%{release}

%description    -n %develname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files -n %develname
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/oauth.pc
%{_mandir}/man3/oauth.*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static --enable-nss
%make

%install
rm -rf %buildroot
%makeinstall_std
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%changelog
* Thu Feb 23 2017 bb <bb> 1.0.3-2pclos2017
- rebuild for 2017

* Mon Jun 13 2016 bb <bb> 1.0.3-1pclos2016
- update for 2016

